# Class ExtendedPropertyName

java.lang.Object
com.independentsoft.pst.ExtendedPropertyTag
com.independentsoft.pst.ExtendedPropertyName

public class ExtendedPropertyName extends ExtendedPropertyTag
The Class ExtendedPropertyName.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.pst.ExtendedPropertyTag

  `guid, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtendedPropertyName()`
  Instantiates a new extended property name.
  `ExtendedPropertyName(String name, byte[] guid)`
  Instantiates a new extended property name.
  `ExtendedPropertyName(String name, byte[] guid, PropertyType type)`
  Instantiates a new extended property name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Gets the name.
  `void`
  `setName(String name)`
  Sets the name.
  `String`
  `toString()`

  ### Methods inherited from class com.independentsoft.pst.ExtendedPropertyTag

  `getGuid, getType, setGuid, setType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExtendedPropertyName

    public ExtendedPropertyName()
    Instantiates a new extended property name.

  - ### ExtendedPropertyName

    public ExtendedPropertyName(String name, byte[] guid)
    Instantiates a new extended property name.
    Parameters:
      `name` - the name
      `guid` - the guid

  - ### ExtendedPropertyName

    public ExtendedPropertyName(String name, byte[] guid, PropertyType type)
    Instantiates a new extended property name.
    Parameters:
      `name` - the name
      `guid` - the guid
      `type` - the type

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName(String name)
    Sets the name.
    Parameters:
      `name` - the new name